summaryrefslogtreecommitdiff
path: root/tests/install
diff options
context:
space:
mode:
authorKamil Dudka <kdudka@redhat.com>2008-09-05 13:12:06 +0200
committerJim Meyering <meyering@redhat.com>2008-09-06 13:38:20 +0200
commit54281e9c6058b13841828d7994a596665d2e628a (patch)
tree75a031cc65f9fd868dca50bf015abeef49af30f4 /tests/install
parentea2887bbe4c04e3ff5bae2d532a1e19d3198dfce (diff)
downloadcoreutils-54281e9c6058b13841828d7994a596665d2e628a.tar.xz
install: new option: --strip-program,
...to specify the program used to strip binaries * src/install.c (main): Handle new option --strip-program. (strip): Use strip program from global variable strip_program. (usage): Mention new option --strip-program in --help. * tests/tests/strip-program: Test case for new option --strip-program. * tests/Makefile.am: Add new test case to test set. * doc/coreutils.texi: Mention new option --strip-program. * NEWS: Mention the change. * TODO: Remove completed task.
Diffstat (limited to 'tests/install')
-rwxr-xr-xtests/install/strip-program41
1 files changed, 41 insertions, 0 deletions
diff --git a/tests/install/strip-program b/tests/install/strip-program
new file mode 100755
index 000000000..57597fcd3
--- /dev/null
+++ b/tests/install/strip-program
@@ -0,0 +1,41 @@
+#!/bin/sh
+# Ensure "install -s --strip-program=PROGRAM" uses the program to strip
+
+# Copyright (C) 2008 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ ginstall --version
+fi
+
+. $srcdir/test-lib.sh
+
+working_umask_or_skip_
+
+cat <<EOF > b || framework_failure
+#!$POSIX_SHELL
+sed s/b/B/ \$1 > \$1.t && mv \$1.t \$1
+EOF
+chmod a+x b || framework_failure
+
+fail=0
+
+echo abc > src || fail=1
+echo aBc > exp || fail=1
+ginstall src dest -s --strip-program=./b || fail=1
+compare dest exp || fail=1
+
+(exit $fail); exit $fail